#include <stdio.h>
#include "galaxy/galaxy_all.h"

#define SERVER_FUNCTIONS_INCLUDE "printout_server.h"
#define USE_SERVER_DATA
#include "galaxy/server_functions.h"

Gal_Frame print_hypo(Gal_Frame frame, void *server_data)
{
  static i = 0;
  
  i++;
  printf("============= YOU SAID (%d): ===============\n%s\n", 
	 i, Gal_GetString(frame, ":input_string"));
  return frame;
}
